Bug 116902 - The aspect ratio isn't honored when using an external image area bitmap fill
Summary: The aspect ratio isn't honored when using an external image area bitmap fill
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2018-04-09 16:38 UTC by Telesto
Modified: 2019-10-23 02:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (597.38 KB, image/jpeg)
2018-04-09 16:38 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-04-09 16:38:28 UTC
Description:
The aspect ratio isn't honored when using an external image area bitmap fill 

Steps to Reproduce:
1. Open Writer
2. Format -> Page - Area tab -> Bitmap
3. Add import
4. Check the scale checkbox
5. Press OK

Actual Results:  
Image with odd dimensions


Expected Results:
Honoring the aspect ratio


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: 818619b0f2f7813decb26d0b14362dec76a8ff37
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2018-04-08_13:29:47
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2018-04-09 16:38:44 UTC
Created attachment 141232 [details]
Example file
Comment 2 Buovjaga 2018-04-22 14:19:24 UTC
Repro.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: de07f40030bbd604bc42d58f0e954cca284a2646
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 21st 2018
Comment 3 QA Administrators 2019-10-23 02:47:24 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug